Index: waeup_product/trunk/skins/waeup_student/create_jamb.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 56)
+++ waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 57)
@@ -50,5 +50,11 @@
     context.notifyCPSDocumentCreation(ob=jamb)
     psm = 'Student created'
-    pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember'))
+    noCPSMember = False
+    try:
+        pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember'))
+    except:
+        noCPSMember = True
+    if noCPSMember:
+        pr.addMember(s_id, 'UnSeT',roles=('Member',))
     groups = context.portal_directories.groups
     gm = list(groups.getEntry('Students')['members'])
@@ -56,5 +62,5 @@
     groups.editEntry({'group': 'Students', 
                       'members': gm})  
-    return context.student_folder_view(psm=psm)
+    return context.students_folder_view_manager(psm=psm)
 ##    return context.create_jamb_form(rendered = res,
 ##                                 psm = psm,
Index: waeup_product/trunk/skins/waeup_student/process_waeup_login.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 56)
+++ waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 57)
@@ -27,5 +27,12 @@
 pkw = {}
 pkw['sex'] = getattr(jamb,'sex')
-pkw['lastname'] = getattr(jamb,'name')
+pkw['firstname'] = getattr(jamb,'firstname')
+pkw['middlename'] = getattr(jamb,'middlename')
+pkw['lastname'] = getattr(jamb,'lastname')
+pkw['aggregate'] = getattr(jamb,'aggregate')
+pkw['faculty'] = getattr(jamb,'faculty')
+pkw['age'] = getattr(jamb,'age')
+pkw['state'] = getattr(jamb,'state')
+
 pd.edit(mapping=pkw)
 context.notifyCPSDocumentCreation(ob=pd)
Index: waeup_product/trunk/skins/waeup_student/student_folder_view.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/student_folder_view.py	(revision 56)
+++ 	(revision )
@@ -1,10 +1,0 @@
-##parameters=REQUEST=None,psm=None,groups=None
-
-# $Id$
-
-"""Default view for the forum. If post_id is not None, post with id = <post_id>
-will be displayed, otherwise first post will be displayed."""
-
-admin = "SectionManager" in context.portal_membership.getAuthenticatedMember().getRolesInContext(context)
-
-return context.student_folder_view_main(admin = admin,psm=psm,groups=groups)
Index: waeup_product/trunk/skins/waeup_student/students_folder_view.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 57)
+++ waeup_product/trunk/skins/waeup_student/students_folder_view.py	(revision 57)
@@ -0,0 +1,15 @@
+##parameters=REQUEST=None,psm=None,groups=None
+
+# $Id$
+
+"""Default view for the forum. If post_id is not None, post with id = <post_id>
+will be displayed, otherwise first post will be displayed."""
+
+
+member = context.portal_membership.getAuthenticatedMember()
+if member:
+    if 'Student' in member.getGroups():
+        return context.students_folder_view_students(psm=psm,groups=groups)
+    if 'StudentsManager' in member.getGroups():
+        return context.students_folder_view_manager(psm=psm,groups=groups)
+return context.students_folder_view_anon(psm=psm,groups=groups)
Index: waeup_product/trunk/skins/waeup_student/students_folder_view_anon.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/students_folder_view_anon.pt	(revision 57)
+++ waeup_product/trunk/skins/waeup_student/students_folder_view_anon.pt	(revision 57)
@@ -0,0 +1,41 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span tal:condition="python: mtool.isAnonymousUser()"> 
+      Please login or <a href="" tal:attributes="href string:${context/absolute_url}/check_admission">check you Jambadmission</a>.
+    </span>
+    <span tal:condition="python: member and 'StudentManager' in member.getGroups()"> 
+      <table cellspacing="0" cellpadding="0">
+        <tal:block condition="python: len(items)">
+          <tr tal:repeat="item items">
+            <td colspan="1">
+              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
+            </td>
+          </tr>
+        </tal:block>
+        <tr tal:condition="python:not len(items)">
+          <td>
+            no Students yet !
+          </td>
+        </tr>
+      </table>
+    </span>
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: waeup_product/trunk/skins/waeup_student/students_folder_view_manager.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/students_folder_view_manager.pt	(revision 57)
+++ waeup_product/trunk/skins/waeup_student/students_folder_view_manager.pt	(revision 57)
@@ -0,0 +1,41 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span tal:condition="python: mtool.isAnonymousUser()"> 
+      Please login or <a href="" tal:attributes="href string:${context/absolute_url}/check_admission">check you Jambadmission</a>.
+    </span>
+    <span tal:condition="python: member and 'StudentManager' in member.getGroups()"> 
+      <table cellspacing="0" cellpadding="0">
+        <tal:block condition="python: len(items)">
+          <tr tal:repeat="item items">
+            <td colspan="1">
+              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
+            </td>
+          </tr>
+        </tal:block>
+        <tr tal:condition="python:not len(items)">
+          <td>
+            no Students yet !
+          </td>
+        </tr>
+      </table>
+    </span>
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>