Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 59)
+++ /waeup_product/trunk/Extensions/install.py	(revision 60)
@@ -1,2 +1,3 @@
+#-*- mode: python; mode: fold -*-
 from Products.CPSInstaller.CPSInstaller import CPSInstaller
 from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent
@@ -12,4 +13,6 @@
   CPSForum = False
 
+from Products.WAeUP.Students import addStudentsFolder
+
 class WAeUPInstaller(CPSInstaller):
     """
@@ -25,5 +28,5 @@
     
         ##########################################
-        # Actions
+        # Actions ###(
         ##########################################
         if CPSSubscriptions:
@@ -152,5 +155,7 @@
         self.verifyActions(actions)
         ##########################################
-        # skins
+###)
+
+        # skins 
         ##########################################
         self.log("Verifying %(product_name)s skinss" % vars())
@@ -186,5 +191,8 @@
         self.log("Verifying %(product_name)s vocabularies" % vars())
         self.verifyVocabularies(portal.getWAeUPVocabularies())
-    
+        ##########################################
+        # Groups
+        ##########################################
+            
         self.installCustomWorkflows()
         self.verifyWorkflowAssociation()
@@ -230,3 +238,27 @@
     installer = WAeUPInstaller(self)
     installer.install(self)
+    dirtool = getattr(self,'portal_directories')
+    groups = dirtool.groups
+    for newEntry in ('Students','StudentManager'):
+        if newEntry not in groups.listEntryIds():
+            groups.createEntry({'group': newEntry, 
+                                'members': []})  
+    groups.manage_setLocalGroupRoles(groupid = 'StudentManager',roles=('Manager',))
+    #groups.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
+    sections = getattr(self,'sections')
+    waeup = getattr(sections,'waeup',None)
+    if not waeup:
+        sections.content_create(type_name='University',title='waeup')
+        sections.waeup.folder_localrole_add(member_ids=('group:Students',),
+                                            member_role='SectionReviewer',
+                                            )
+        sections.waeup.content_create(type_name='StudentsFolder',title='students')
+        sections.waeup.folder_localrole_add(member_ids=('group:Students',),
+                                            member_role='SectionReviewer',
+                                            )
+        sections.waeup.folder_localrole_add(member_ids=('group:StudentManager',),
+                                            member_role='SectionManager',
+                                            )
+        sections.waeup.students.manage_setLocalGroupRoles(groupid = 'role:Anonymous',roles=('SectionReader',))
+        sections.waeup.students.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
     return installer.logResult()
Index: /waeup_product/trunk/Students.py
===================================================================
--- /waeup_product/trunk/Students.py	(revision 59)
+++ /waeup_product/trunk/Students.py	(revision 60)
@@ -19,33 +19,4 @@
     security = ClassSecurityInfo()
     
-    security.declarePublic("doCheckAdmission")
-    def doCheckAdmission(self,type_name,datamodel):
-        "the admission callback"
-##        class CPSUnrestrictedUser(UnrestrictedUser):
-##            """Unrestricted user that still has an id.
-##
-##            Taken from CPSMembershipTool
-##            """
-##
-##            def getId(self):
-##                """Return the ID of the user."""
-##                return self.getUserName()
-        print type_name
-        print datamodel
-        return self.REQUEST.RESPONSE.redirect("%s" % self.absolute_url())
-        mtool = getToolByName(self, 'portal_membership')
-        username = "%s" % datamodel.get('reg_nr')
-        print username
-        member=mtool.getMemberById("S%s" % username)
-        print member
-        from AccessControl.SecurityManagement import newSecurityManager
-        newSecurityManager(None,member.__of__(mtool.acl_users))
-        # datamodel is passed so that flexti can initialize the object.
-        #datamodel.set('lastname','Meier')
-        student = getattr(self,username)
-        student.invokeFactory('StudentPersonal', '%s' % username)
-        ob = getattr(student, id)
-        ##context.notifyCPSDocumentCreation(ob=ob)
-        return ob
         
 InitializeClass(StudentsFolder)
Index: /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 59)
+++ /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 60)
@@ -8,5 +8,5 @@
           tal:content="member" /><br />
       <a href="" tal:condition="python: 'Students' in member.getGroups()" 
-         tal:attributes="href string:${here/portal_url}/sections/unidemo/students/${member}">goto your personal area</a>
+         tal:attributes="href string:${here/portal_url}/sections/waeup/students/${member}">goto your personal area</a>
     </span><br />
     (<a href="" i18n:translate=""
@@ -15,5 +15,5 @@
   <tal:block condition="anonymous">
     <span >You are currently not logged in </span><br />
-    <a href="" tal:attributes="href string:${here/portal_url}/sections/unidemo/students/check_admission">check your admission status</a>
+    <a href="" tal:attributes="href string:${here/portal_url}/sections/waeup/students/check_admission">check your admission status</a>
   </tal:block>
   <br />