Index: waeup_product/trunk/skins/waeup_default/faculty_index_html.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/faculty_index_html.py	(revision 78)
+++ waeup_product/trunk/skins/waeup_default/faculty_index_html.py	(revision 78)
@@ -0,0 +1,12 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id$
+
+"""Default view for a Faculty."""
+member = context.portal_membership.getAuthenticatedMember()
+
+#return context.student_view_manager()
+if 'Manager' in member.getRoles():
+    return context.faculty_view_manager()
+elif 'Students' in member.getGroups():
+    return context.faculty_view_student()
Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 77)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 78)
@@ -792,19 +792,19 @@
 course = { ###(
     'widgets': {
-        'title': {
-            'type': 'String Widget',
-            'data': {
-                'title': '',
-                'fields': ('title',),
-                'is_required': True,
-                'label': 'Title',
-                'label_edit': 'Title',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'display_width': 10,
-                'size_max': 0,
-            },
-        },
+##        'title': {
+##            'type': 'String Widget',
+##            'data': {
+##                'title': '',
+##                'fields': ('title',),
+##                'is_required': True,
+##                'label': 'Title',
+##                'label_edit': 'Title',
+##                'description': '',
+##                'help': '',
+##                'is_i18n': False,
+##                'display_width': 10,
+##                'size_max': 0,
+##            },
+##        },
         'level': {
             'type': 'String Widget',
@@ -865,5 +865,5 @@
                 'help': '',
                 'is_i18n': False,
-                'display_width': 10,
+                'display_width': 2,
                 'size_max': 0,
             },
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 77)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 78)
@@ -329,6 +329,8 @@
 schemas['student_personal'] = student_personal_schema
 schemas['jamb'] = jamb_schema
+#schemas['scratch_card'] = scratch_card
+schemas['faculty'] = faculty_schema
+schemas['department'] = department_schema
 schemas['course'] = course_schema
-#schemas['scratch_card'] = scratch_card
 
 return schemas
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 77)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 78)
@@ -282,8 +282,8 @@
     'description': '',
     'content_icon': '',
-    'content_meta_type': 'Student',
+    'content_meta_type': 'Faculty',
     'product': 'WAeUP',
     'factory': 'addFaculty',
-    'immediate_view': 'cpsdocument_view',
+    'immediate_view': 'folder_view',
     'global_allow': True,
     'filter_content_types': True,
@@ -291,8 +291,8 @@
     'allow_discussion': False,
     'cps_is_searchable': True,
-    'cps_proxy_type': 'document',
+    'cps_proxy_type': 'folder',
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','faculty'],
-    'layouts': ['waeup_common','faculty'],
+    'layouts': ['waeup_common',],
     'flexible_layouts': (),
     'layout_clusters': ['metadata:metadata'],
@@ -314,9 +314,9 @@
     'title': 'WAeUP Department',
     'description': '',
-    'content_icon': 'student.gif',
+    'content_icon': '',
     'content_meta_type': 'Department',
     'product': 'WAeUP',
     'factory': 'addDepartment',
-    'immediate_view': 'cpsdocument_view',
+    'immediate_view': 'folder_view',
     'global_allow': True,
     'filter_content_types': True,
@@ -324,8 +324,8 @@
     'allow_discussion': False,
     'cps_is_searchable': True,
-    'cps_proxy_type': 'document',
+    'cps_proxy_type': 'folder',
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','department'],
-    'layouts': ['waeup_common','department'],
+    'layouts': ['waeup_common',],
     'flexible_layouts': (),
     'layout_clusters': ['metadata:metadata'],
@@ -335,5 +335,5 @@
          {'id': 'view',
           'name': 'action_view',
-          'action': 'string:${object_url}/deparment_index_html',
+          'action': 'string:${object_url}/department_index_html',
           'condition': '',
           'permission': ('View',),
@@ -359,6 +359,6 @@
     'cps_proxy_type': 'document',
     'cps_display_as_document_in_listing': True,
-    'schemas': ['metadata','common','student'],
-    'layouts': ['waeup_common','student'],
+    'schemas': ['metadata','common','course'],
+    'layouts': ['waeup_common','course'],
     'flexible_layouts': (),
     'layout_clusters': ['metadata:metadata'],
Index: waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/university_view.py	(revision 77)
+++ waeup_product/trunk/skins/waeup_default/university_view.py	(revision 78)
@@ -7,7 +7,9 @@
 member = context.portal_membership.getAuthenticatedMember()
 if member:
-    if 'Students' in member.getGroups():
+    if 'Manager' in member.getRoles():
+        return context.folder_view()
+    elif 'Students' in member.getGroups():
         return context.students.students_folder_view_student(psm=psm,groups=groups)
-    if 'StudentManager' in member.getGroups():
+    elif 'StudentManager' in member.getGroups():
         return context.students.student_folder_view_manager(psm=psm,groups=groups)
 return context.students.students_folder_view_anon(psm=psm,groups=groups)