Index: waeup_product/trunk/skins/waeup_default/faculty_index_html.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/faculty_index_html.py	(revision 79)
+++ 	(revision )
@@ -1,12 +1,0 @@
-##parameters=post_id=None, REQUEST=None
-
-# $Id$
-
-"""Default view for a Faculty."""
-member = context.portal_membership.getAuthenticatedMember()
-
-#return context.student_view_manager()
-if 'Manager' in member.getRoles():
-    return context.faculty_view_manager()
-elif 'Students' in member.getGroups():
-    return context.faculty_view_student()
Index: waeup_product/trunk/skins/waeup_faculty/course_index_html.py
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/course_index_html.py	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/course_index_html.py	(revision 80)
@@ -0,0 +1,15 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id$
+
+"""Default view for the Student."""
+member = context.portal_membership.getAuthenticatedMember()
+
+#return context.student_view_manager()
+if member:
+    if 'Manager' in member.getRoles():
+        return context.cpsdocument_view()
+    elif 'StudentManager' in member.getGroups():
+        return context.course_view_manager()
+    elif 'Students' in member.getGroups():
+        return context.course_view_student()
Index: waeup_product/trunk/skins/waeup_faculty/course_index_html.py~
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/course_index_html.py~	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/course_index_html.py~	(revision 80)
@@ -0,0 +1,15 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id: student_index_html.py 48 2005-10-16 15:47:22Z joachim $
+
+"""Default view for the Student."""
+member = context.portal_membership.getAuthenticatedMember()
+
+#return context.student_view_manager()
+if member:
+    if 'Manager' in member.getRoles():
+        return context.folder_view()
+    elif 'StudentManager' in member.getGroups():
+        return context.course_view_manager()
+    elif 'Students' in member.getGroups():
+        return context.course_view_student()
Index: waeup_product/trunk/skins/waeup_faculty/course_view_manager.pt
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/course_view_manager.pt	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/course_view_manager.pt	(revision 80)
@@ -0,0 +1,21 @@
+<metal:block define-macro="view">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}forum.css" />
+  </metal:block>
+
+  <metal:block fill-slot="main">
+    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
+
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>
Index: waeup_product/trunk/skins/waeup_faculty/course_view_student.py
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/course_view_student.py	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/course_view_student.py	(revision 80)
@@ -0,0 +1,32 @@
+<metal:block define-macro="view">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}forum.css" />
+  </metal:block>
+
+  <metal:block fill-slot="main">
+      
+    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
+
+    <tal:block tal:condition="python:hasattr(here,'portal_discussion') and
+      hasattr(here.portal_discussion, 'isCommentingAllowedFor')">
+      <tal:block tal:define="comments_allowed
+        python:here.portal_discussion.isCommentingAllowedFor(here);"
+        tal:condition="comments_allowed">
+        <metal:block
+          use-macro="here/forum_comment_lib_view_comments_inline/macros/view_comments_inline" />
+      </tal:block>
+    </tal:block>
+
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>
Index: waeup_product/trunk/skins/waeup_faculty/department_index_html.py
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 80)
@@ -0,0 +1,13 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id$
+
+"""Default view for a Faculty."""
+member = context.portal_membership.getAuthenticatedMember()
+
+#return context.student_view_manager()
+if member:
+    if 'Manager' in member.getRoles():
+        return context.department_view_manager()
+    elif 'Students' in member.getGroups():
+        return context.department_view_student()
Index: waeup_product/trunk/skins/waeup_faculty/department_index_html.py~
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 80)
@@ -0,0 +1,13 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id: student_index_html.py 48 2005-10-16 15:47:22Z joachim $
+
+"""Default view for a Faculty."""
+member = context.portal_membership.getAuthenticatedMember()
+
+#return context.student_view_manager()
+if member:
+    if 'Manager' in member.getRoles():
+        return context.faculty_view_manager()
+    elif 'Students' in member.getGroups():
+        return context.faculty_view_student()
Index: waeup_product/trunk/skins/waeup_faculty/department_view_manager.pt
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/department_view_manager.pt	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/department_view_manager.pt	(revision 80)
@@ -0,0 +1,38 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span> 
+      <table cellspacing="0" cellpadding="0">
+        <tal:block condition="python: len(items)">
+          <tr tal:repeat="item items">
+            <td colspan="1">
+              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
+            </td>
+          </tr>
+        </tal:block>
+        <tr tal:condition="python:not len(items)">
+          <td>
+            nothing yet !
+          </td>
+        </tr>
+      </table>
+    </span>
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 80)
@@ -0,0 +1,12 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id$
+
+"""Default view for a Faculty."""
+member = context.portal_membership.getAuthenticatedMember()
+
+#return context.student_view_manager()
+if 'Manager' in member.getRoles():
+    return context.faculty_view_manager()
+elif 'Students' in member.getGroups():
+    return context.faculty_view_student()
Index: waeup_product/trunk/skins/waeup_faculty/faculty_view_manager.pt
===================================================================
--- waeup_product/trunk/skins/waeup_faculty/faculty_view_manager.pt	(revision 80)
+++ waeup_product/trunk/skins/waeup_faculty/faculty_view_manager.pt	(revision 80)
@@ -0,0 +1,38 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span> 
+      <table cellspacing="0" cellpadding="0">
+        <tal:block condition="python: len(items)">
+          <tr tal:repeat="item items">
+            <td colspan="1">
+              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
+            </td>
+          </tr>
+        </tal:block>
+        <tr tal:condition="python:not len(items)">
+          <td>
+            nothing yet !
+          </td>
+        </tr>
+      </table>
+    </span>
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: waeup_product/trunk/skins/waeup_student/process_waeup_login.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 79)
+++ waeup_product/trunk/skins/waeup_student/process_waeup_login.py	(revision 80)
@@ -11,8 +11,9 @@
     waeup = context.portal_catalog(id = 'waeup')[0].getObject()
     students = waeup.students
-    if "Students" in member.getGroups():
+    ca = context
+    if "StudentManager" in member.getGroups():
+        ca = waeup.students
+    elif "Students" in member.getGroups():
         ca = getattr(students,str(member))
-    elif "StudentManager" in member.getGroups():
-        ca = waeup.students
     #ma = ca[0].getObject()
     return response.redirect(ca.absolute_url())