Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 83)
+++ /waeup_product/trunk/Extensions/install.py	(revision 84)
@@ -3,4 +3,6 @@
 from Products.CPSInstaller.CPSInstaller import CPSInstaller
 from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent
+from Products.WAeUP.WAeUPPermissions import UniversityManage, StudentManage,FacultyManage,\
+                                            DepartmentManage,CourseManage
 try:
   from Products.CPSSubscriptions.permissions import CanNotifyContent
@@ -28,8 +30,41 @@
         self.log("Starting %(product_name)s install" % vars() )
     
-        ##########################################
-        # Actions ###(
-        ##########################################
-        if CPSSubscriptions:
+        # Roles and Permissions
+        #
+        self.verifyRoles((
+            # A role that can manage the University.
+            'UniversityManager',
+            # A role that can manage the StudentsRecords.
+            'StudentManager',
+            # A role that can manage a Faculty.
+            'FacultyManager',
+            # A role that can manage a department.
+            'DepartmentManager',
+            # A role that can manage a Course.
+            'CourseManager',
+        ))
+        waeup_perms = {
+            UniversityManage:
+                ('Manager', 'SectionManager','UniversityManager', 
+                 ),
+            StudentManage:
+                ('Manager', 'SectionManager','UniversityManager', 'StudentManager' 
+                 ),
+            FacultyManage:
+                ('Manager', 'SectionManager','UniversityManager', 'FacultyManager' 
+                 ),
+            DepartmentManage:
+                ('Manager', 'SectionManager','UniversityManager', 'DepartmentManager' 
+                 ),
+            CourseManage:
+                ('Manager', 'SectionManager','UniversityManager', 'CourseManager' 
+                 ),
+        }
+        self.setupPortalPermissions(waeup_perms)
+
+        ##########################################
+        # Actions 
+        ##########################################
+        if CPSSubscriptions: ###(
             ptypes = "('Portal', 'CPSMailAccess Message', 'CPSMailAccess Box', 'CPSMailAccess Folder',"\
                      +  "'University', 'StudentsFolder', 'Student', 'Jamb')"
@@ -96,6 +131,48 @@
             self.verifyAction('portal_discussion', **action)
         
-        ##########################################
-        # actions
+###)
+
+        # portlets ###(
+        #
+        portlets = (
+                  {'identifier': 'waeup_main_tabs',
+                  'type': 'Custom Portlet',
+                  'slot': 'main_tabs',
+                  'order': 0,
+                  'render_method': 'portlet_main_navigation',
+                  'Title': 'main tabs',
+                  },
+                  {'identifier': 'waeup_breadcrumbs',
+                  'type': 'Breadcrumbs Portlet',
+                  'slot': 'waeup_breadcrumbs',
+                  'first_item': 2,
+                  'display_site_root': 0,
+                  'Title': 'waeup_breadcrumbs',
+                  'display': 'horizontal_trail',
+                  'display_hidden_folders': 0,
+                  'order': 0,
+                  },
+                  {'identifier': 'waeup_object_actions',
+                  'type': 'Actions Portlet',
+                  'slot': 'waeup_object_actions',
+                  'order': 0,
+                  'categories': ['object'],
+                  'Title': 'waep_manager_actions',
+                  },
+                  {'identifier': 'waeup_left_top',
+                  'type': 'Custom Portlet',
+                  'slot': 'left_top',
+                  'order': 0,
+                  'render_method': 'portlet_session_info',
+                  'Title': 'Session Info',
+                  },
+                )
+        self.verifyPortletContainer(self.portal.sections.waeup)
+        self.verifyPortlets(portlets, self.portal.sections.waeup)
+
+###)
+
+        ##########################################
+        # student actions ###(
         ##########################################
         actions = ( { 'tool'      : 'portal_actions',
@@ -136,4 +213,31 @@
                       },
                       { 'tool'      : 'portal_actions',
+                        'id'        : 'add_faculty',
+                        'name'      : 'Add New Faculty',
+                        'action'    : 'string:${object/absolute_url}/addFaculty',
+                        'permission': (),
+                        'condition' : 'python: member and here.portal_type in ("University",) and "StudentManager" in member.getGroups()',
+                        'category'  : 'student',
+                        'visible'   : 1,
+                      },
+                      { 'tool'      : 'portal_actions',
+                        'id'        : 'add_department',
+                        'name'      : 'Add New Department',
+                        'action'    : 'string:${object/absolute_url}/addDepartment',
+                        'permission': (),
+                        'condition' : 'python: member and here.portal_type in ("Faculty",) and "StudentManager" in member.getGroups()',
+                        'category'  : 'student',
+                        'visible'   : 1,
+                      },
+                      { 'tool'      : 'portal_actions',
+                        'id'        : 'add_course',
+                        'name'      : 'Add New Course',
+                        'action'    : 'string:${object/absolute_url}/addCourse',
+                        'permission': (),
+                        'condition' : 'python: member and here.portal_type in ("Department",) and "StudentManager" in member.getGroups()',
+                        'category'  : 'student',
+                        'visible'   : 1,
+                      },
+                      { 'tool'      : 'portal_actions',
                         'id'        : 'add_personal',
                         'name'      : 'Add personal Data',
@@ -162,8 +266,10 @@
         self.log("Verifying %(product_name)s skinss" % vars())
         wskins = { 'waeup_default' : 'Products/WAeUP/skins/waeup_default',
+                   'waeup_faculty' : 'Products/WAeUP/skins/waeup_faculty',
                    'waeup_student' : 'Products/WAeUP/skins/waeup_student',
                  }
         self.verifySkins(wskins)
         self.resetSkinCache()
+        
         ##########################################
         # portal types
Index: /waeup_product/trunk/University.py
===================================================================
--- /waeup_product/trunk/University.py	(revision 83)
+++ /waeup_product/trunk/University.py	(revision 84)
@@ -8,4 +8,5 @@
 from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument 
 from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder 
+from Products.CPSDocument.CPSDocument import CPSDocument 
 
 #
@@ -13,5 +14,5 @@
 #
 
-class University(BaseBTreeFolder):
+class University(BaseBTreeFolder,CPSDocument):
     """
     Container for the various WAeUP containers 
Index: /waeup_product/trunk/WAeUPPermissions.py
===================================================================
--- /waeup_product/trunk/WAeUPPermissions.py	(revision 84)
+++ /waeup_product/trunk/WAeUPPermissions.py	(revision 84)
@@ -0,0 +1,66 @@
+# (C) Copyright 2005 AixtraWare <http://aixtraware.de>
+# Author: Joachim Schmitz <js@aixtraware.de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as published
+# by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+#
+# $Id$
+
+__author__ = "Joachim Schmitz <js@aixtraware.de>"
+
+"""WAeUP Student Permissions
+"""
+
+from AccessControl import ModuleSecurityInfo
+from Products.CMFCore.permissions import setDefaultRoles
+security = ModuleSecurityInfo('Products.WAeUP.WAeUPPermissions')
+
+#  - 'University Manage' : Permission you need to manage a University
+#
+security.declarePublic('UniversityManage')
+UniversityManage = "University Manage"
+setDefaultRoles(UniversityManage, ('Manager', 
+                                   'Owner',))
+#  - 'Student Manage' : Permission you need to manage Students
+#
+security.declarePublic('StudentManage')
+StudentManage = "Student Manage"
+setDefaultRoles(StudentManage, ('Manager', 
+                                'FacultyManager', 
+                                'Owner',))
+#  - 'Faculty Manage' : Permission you need to manage a Faculty
+#
+security.declarePublic('FacultyManage')
+FacultyManage = "Faculty Manage"
+setDefaultRoles(FacultyManage, ('Manager', 
+                                'FacultyManager', 
+                                'Owner',))
+#  - 'Department Manage' : Permission you need to manage a Department
+#
+security.declarePublic('DepartmentManage')
+DepartmentManage = "Department Manage"
+setDefaultRoles(DepartmentManage, ('Manager', 
+                                   'FacultyManager', 
+                                   'Department', 
+                                   'Owner',))
+#  - 'Course Manage' : Permission you need to manage a Department
+#
+security.declarePublic('CourseManage')
+CourseManage = "Course Manage"
+setDefaultRoles(CourseManage, ('Manager', 
+                                   'FacultyManager', 
+                                   'DepartmentManager', 
+                                   'CourseManager', 
+                                   'Owner',))
+
Index: /waeup_product/trunk/__init__.py
===================================================================
--- /waeup_product/trunk/__init__.py	(revision 83)
+++ /waeup_product/trunk/__init__.py	(revision 84)
@@ -9,4 +9,5 @@
 import Faculty
 import Widgets
+import WAeUPPermissions
 
 fti = (Students.student_fti,
@@ -15,4 +16,5 @@
        Faculty.course_fti,
       )
+
 contentClasses = (University.University,
                   Students.StudentsFolder,
Index: eup_product/trunk/permissions.py
===================================================================
--- /waeup_product/trunk/permissions.py	(revision 83)
+++ 	(revision )
@@ -1,41 +1,0 @@
-# (C) Copyright 2005 AixtraWare <http://aixtraware.de>
-# Author: Joachim Schmitz <js@aixtraware.de>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published
-# by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
-#
-# $Id$
-
-__author__ = "Joachim Schmitz <js@aixtraware.de>"
-
-"""WAeUP Student Permissions
-
-#  - 'University Manage' : Permission you need to manage a University
-#
-#  - 'Faculty Manage' : Permission you need to manage a Faculty
-#
-#  - 'Department Manage' : Permission you need to manage a Department
-#
-
-"""
-
-from Products.CMFCore.permissions import setDefaultRoles
-
-universityManage = "University Manage"
-setDefaultRoles(universityManage, ('Manager', 'Owner'))
-facultyManage = "Faculty Manage"
-setDefaultRoles(facultyManage, ('Manager', 'Owner'))
-departmentManage = "Department Manage"
-setDefaultRoles(departmentManage, ('Manager', 'Owner'))
-
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 83)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 84)
@@ -85,10 +85,10 @@
     },
     'layout': {
-        'style_prefix': 'layout_default_',
+        'style_prefix': 'layout_waeup_',
         'rows': [
-            [{'widget_id': 'LanguageSelector'}],
+            #[{'widget_id': 'LanguageSelector'}],
             [{'widget_id': 'Title'},],
             [{'widget_id': 'Description'},],
-            [{'widget_id': 'LanguageSelectorCreation'}],
+            #[{'widget_id': 'LanguageSelectorCreation'}],
             ],
         },
@@ -790,4 +790,25 @@
 ###)
 
+department = { ###(
+   'widgets': {},
+   'layout': {
+        'style_prefix': 'layout_waeup_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [],
+    },
+}
+###)
+waeup_default = { ###(
+   'widgets': {},
+   'layout': {
+        'style_prefix': 'layout_waeup_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [],
+    },
+}
+###)
+
 course = { ###(
     'widgets': {
@@ -888,5 +909,5 @@
     },
    'layout': {
-        'style_prefix': 'layout_default_',
+        'style_prefix': 'layout_waeup_',
         'flexible_widgets': (),
         'ncols': 1,
@@ -904,4 +925,5 @@
 
 layouts = {}
+layouts['university'] = waeup_default
 layouts['waeup_common'] = common_layout
 layouts['student'] = student_layout
@@ -911,4 +933,6 @@
 layouts['jambcreate'] = jamb_layoutcreate
 layouts['jamb'] = jamb_layout
+layouts['faculty'] = waeup_default
+layouts['department'] = waeup_default
 layouts['course'] = course
 layouts['admission_status'] = admission_status
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 83)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 84)
@@ -6,4 +6,6 @@
 from Products.CMFCore.permissions import ModifyPortalContent
 from Products.CMFCore.permissions import AddPortalContent
+from Products.WAeUP.WAeUPPermissions import UniversityManage, StudentManage,FacultyManage,\
+                                            DepartmentManage,CourseManage
 ChangePermissions = 'Change permissions'
 
@@ -24,23 +26,24 @@
     'cps_proxy_type': 'folder',
     'schemas': ['metadata', 'common', 'folder'],
-    'layouts': ['waeup_common', 'folder'],
-    'layout_clusters': ['metadata:metadata'],
-    'cps_section_wf': 'waeup_section_wf',
-    'actions': ({'id': 'view',
+    'layouts': ['common', 'university'],
+    'layout_clusters': ['metadata:metadata'],
+    'cps_section_wf': 'waeup_section_wf',
+    'actions_add': ({'id': 'view',
                  'name': 'action_view',
                  'action': 'university_view',
-                 'permissions': (View,)},
-                {'id': 'new_content',
-                 'name': 'action_new_content',
+                 'permissions': (UniversityManage,)},
+                {'id': 'addFaculty',
+                 'name': 'Add a Faculty',
                  'action': 'folder_factories',
-                 'permissions': (AddPortalContent,)},
+                 'permissions': (UniversityManage,)},
                 {'id': 'contents',
                  'name': 'action_folder_contents',
                  'action': 'folder_contents',
-                 'permissions': (ModifyPortalContent,)},
+                 'permissions': (UniversityManage,)},
                 {'id': 'edit',
                  'name': 'action_edit',
                  'action': 'cpsdocument_edit_form',
-                 'permissions': (ModifyPortalContent,)},
+                 #'action': 'cpsdocument_edit_form',
+                 'permissions': (UniversityManage,)},
                 {'id': 'metadata',
                  'name': 'action_metadata',
@@ -79,33 +82,31 @@
                  'name': 'Students',
                  'action': 'students_folder_view',
-                 'permissions': (View,)},
+                 'permissions': (UniversityManage,)},
                 {
                 'id'        : 'add_content',
                 'name'      : 'Add Content',
                 'action'    : 'string:${object/absolute_url}/folder_factories',
-                'condition' : 'python: member and "Manager" in member.getRoles()',
-                'permissions': (AddPortalContent,)},
+                'permissions': (StudentManage,)},
                 {
                 'id'        : 'add_jamb',
                 'name'      : 'Add Student JAMB',
                 'action'    : 'string:${object/absolute_url}/create_jamb',
-                'condition' : 'python: member and "StudentManager" in member.getGroups()',
-                'permissions': (AddPortalContent,)},
+                'permissions': (UniversityManage,)},
                 {'id': 'contents',
                  'name': 'action_folder_contents',
                  'action': 'folder_contents',
-                 'permissions': (ModifyPortalContent,)},
+                 'permissions': (UniversityManage,)},
                 {'id': 'edit',
                  'name': 'action_edit',
                  'action': 'cpsdocument_edit_form',
-                 'permissions': (ModifyPortalContent,)},
+                 'permissions': (UniversityManage,)},
                 {'id': 'metadata',
                  'name': 'action_metadata',
                  'action': 'cpsdocument_metadata',
-                 'permissions': (ModifyPortalContent,)},
+                 'permissions': (UniversityManage,)},
                 {'id': 'localroles',
                  'name': 'action_local_roles',
                  'action': 'folder_localrole_form',
-                 'permissions': (ChangePermissions,)},
+                 'permissions': (UniversityManage,)},
     )
 }
@@ -139,5 +140,5 @@
           #'action': 'string:${object_url}/cpsdocument_view',
           'condition': '',
-          'permission': ('View',),
+          'permission': (View,),
           'category': 'object',
           'visible': True,},
@@ -294,5 +295,5 @@
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','faculty'],
-    'layouts': ['waeup_common',],
+    'layouts': ['common','faculty'],
     'flexible_layouts': (),
     'layout_clusters': ['metadata:metadata'],
@@ -304,5 +305,12 @@
           'action': 'string:${object_url}/faculty_index_html',
           'condition': '',
-          'permission': ('View',),
+          'permission': (View,),
+          'category': 'object',
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/waeup_edit_form',
+          'condition': '',
+          'permission': (UniversityManage,),
           'category': 'object',
           'visible': True,},
@@ -327,5 +335,5 @@
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','department'],
-    'layouts': ['waeup_common',],
+    'layouts': ['department','common',],
     'flexible_layouts': (),
     'layout_clusters': ['metadata:metadata'],
@@ -338,4 +346,11 @@
           'condition': '',
           'permission': ('View',),
+          'category': 'object',
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/waeup_edit_form',
+          'condition': '',
+          'permission': (FacultyManage,),
           'category': 'object',
           'visible': True,},
@@ -360,5 +375,5 @@
     'cps_display_as_document_in_listing': True,
     'schemas': ['metadata','common','course'],
-    'layouts': ['waeup_common','course'],
+    'layouts': ['common','course'],
     'flexible_layouts': (),
     'layout_clusters': ['metadata:metadata'],
@@ -371,4 +386,11 @@
           'condition': '',
           'permission': ('View',),
+          'category': 'object',
+          'visible': True,},
+         {'id': 'edit',
+          'name': 'action_edit',
+          'action': 'string:${object_url}/waeup_edit_form',
+          'condition': '',
+          'permission': (CourseManage,),
           'category': 'object',
           'visible': True,},
Index: /waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 84)
+++ /waeup_product/trunk/skins/waeup_default/portlet_main_navigation.pt	(revision 84)
@@ -0,0 +1,21 @@
+<tal:block define="mtool here/portal_membership;
+                   anonymous mtool/isAnonymousUser;
+                   user python: mtool.getAuthenticatedMember();
+                   folder_id python:str(user)"
+                   >
+  <tal:block condition="python: 'Students' in user.getGroups()">
+    <a href="" i18n:translate=""
+       tal:attributes="href string:${here/portal_url}/sections/waeup/students/${folder_id}"
+       tal:content="string: Personal area for JAMB Registration ${folder_id}"></a>
+  </tal:block>
+  <tal:block condition="python: 'StudentManager' in user.getGroups()">
+    <a href="" i18n:translate=""
+       tal:attributes="href string:${here/portal_url}/sections/waeup/students"
+       >Studentadministration</a> | 
+    <a href="" i18n:translate=""
+       tal:attributes="href string:${here/portal_url}/sections/waeup/faculties"
+       >Faculties</a> 
+  </tal:block>
+  <tal:block condition="anonymous">
+  </tal:block>
+</tal:block>
Index: /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 83)
+++ /waeup_product/trunk/skins/waeup_default/portlet_session_info.pt	(revision 84)
@@ -6,5 +6,6 @@
     <span i18n:translate="">You are currently logged in as
       <em i18n:name="member"
-          tal:content="member" /><br />
+          tal:content="member" /><br />with Basic Roles <span tal:content="member/getRoles" /><br />
+      <span tal:condition="python: 0" tal:content="python:mtool.getCPSCandidateLocalRoles(context)" />
       <a href="" tal:condition="python: 'Students' in member.getGroups()" 
          tal:attributes="href string:${here/portal_url}/sections/waeup/students/${member}">goto your personal area</a>
Index: eup_product/trunk/skins/waeup_default/portlet_studentnavigation.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_default/portlet_studentnavigation.pt	(revision 83)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<tal:block define="mtool here/portal_membership;
-                   anonymous mtool/isAnonymousUser;
-                   user python: mtool.getAuthenticatedMember();
-                   folder_id python:str(user)"
-                   >
-  <tal:block condition="python: 'Students' in user.getGroups()">
-    <a href="" i18n:translate=""
-       tal:attributes="href string:${here/portal_url}/sections/waeup/students/${folder_id}"
-       tal:content="string: Personal area for JAMB Registration ${folder_id}"></a>
-  </tal:block>
-  <tal:block condition="python: 'StudentManager' in user.getGroups()">
-    <a href="" i18n:translate=""
-       tal:attributes="href string:${here/portal_url}/sections/waeup/students"
-       >Student Administration</a>
-  </tal:block>
-  <tal:block condition="anonymous">
-  </tal:block>
-</tal:block>
Index: /waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 83)
+++ /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 84)
@@ -12,4 +12,4 @@
         return context.students.students_folder_view_student(psm=psm,groups=groups)
     elif 'StudentManager' in member.getGroups():
-        return context.students.student_folder_view_manager(psm=psm,groups=groups)
+        return context.waeup_view_manager(psm=psm,groups=groups)
 return context.students.students_folder_view_anon(psm=psm,groups=groups)
Index: eup_product/trunk/skins/waeup_faculty/course_index_html.py~
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/course_index_html.py~	(revision 83)
+++ 	(revision )
@@ -1,15 +1,0 @@
-##parameters=post_id=None, REQUEST=None
-
-# $Id: student_index_html.py 48 2005-10-16 15:47:22Z joachim $
-
-"""Default view for the Student."""
-member = context.portal_membership.getAuthenticatedMember()
-
-#return context.student_view_manager()
-if member:
-    if 'Manager' in member.getRoles():
-        return context.folder_view()
-    elif 'StudentManager' in member.getGroups():
-        return context.course_view_manager()
-    elif 'Students' in member.getGroups():
-        return context.course_view_student()
Index: /waeup_product/trunk/skins/waeup_faculty/department_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 83)
+++ /waeup_product/trunk/skins/waeup_faculty/department_index_html.py	(revision 84)
@@ -8,5 +8,6 @@
 #return context.student_view_manager()
 if member:
-    if 'Manager' in member.getRoles():
+    if 'StudentManager' in member.getGroups():
+    #if 'Manager' in member.getRoles():
         return context.department_view_manager()
     elif 'Students' in member.getGroups():
Index: /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 83)
+++ /waeup_product/trunk/skins/waeup_faculty/department_index_html.py~	(revision 84)
@@ -1,5 +1,5 @@
 ##parameters=post_id=None, REQUEST=None
 
-# $Id: student_index_html.py 48 2005-10-16 15:47:22Z joachim $
+# $Id: department_index_html.py 80 2005-10-22 13:43:45Z joachim $
 
 """Default view for a Faculty."""
@@ -9,5 +9,5 @@
 if member:
     if 'Manager' in member.getRoles():
-        return context.faculty_view_manager()
+        return context.department_view_manager()
     elif 'Students' in member.getGroups():
-        return context.faculty_view_student()
+        return context.department_view_student()
Index: /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py
===================================================================
--- /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 83)
+++ /waeup_product/trunk/skins/waeup_faculty/faculty_index_html.py	(revision 84)
@@ -7,5 +7,6 @@
 
 #return context.student_view_manager()
-if 'Manager' in member.getRoles():
+#if 'Manager' in member.getRoles():
+if 'StudentManager' in member.getGroups():
     return context.faculty_view_manager()
 elif 'Students' in member.getGroups():