Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 86)
+++ /waeup_product/trunk/Extensions/install.py	(revision 87)
@@ -30,5 +30,5 @@
         self.log("Starting %(product_name)s install" % vars() )
     
-        # Roles and Permissions
+        # Roles and Permissions ###(
         #
         self.verifyRoles((
@@ -43,4 +43,6 @@
             # A role that can manage a Course.
             'CourseManager',
+            # The Student Role
+            'Student',
         ))
         waeup_perms = {
@@ -62,4 +64,6 @@
         }
         self.setupPortalPermissions(waeup_perms)
+
+###)
 
         ##########################################
@@ -131,44 +135,4 @@
             self.verifyAction('portal_discussion', **action)
         
-###)
-
-        # portlets ###(
-        #
-        portlets = (
-                  {'identifier': 'waeup_main_tabs',
-                  'type': 'Custom Portlet',
-                  'slot': 'main_tabs',
-                  'order': 0,
-                  'render_method': 'portlet_main_navigation',
-                  'Title': 'main tabs',
-                  },
-                  {'identifier': 'waeup_breadcrumbs',
-                  'type': 'Breadcrumbs Portlet',
-                  'slot': 'waeup_breadcrumbs',
-                  'first_item': 2,
-                  'display_site_root': 0,
-                  'Title': 'waeup_breadcrumbs',
-                  'display': 'horizontal_trail',
-                  'display_hidden_folders': 0,
-                  'order': 0,
-                  },
-                  {'identifier': 'waeup_object_actions',
-                  'type': 'Actions Portlet',
-                  'slot': 'waeup_object_actions',
-                  'order': 0,
-                  'categories': ['object'],
-                  'Title': 'waep_manager_actions',
-                  },
-                  {'identifier': 'waeup_left_top',
-                  'type': 'Custom Portlet',
-                  'slot': 'left_top',
-                  'order': 0,
-                  'render_method': 'portlet_session_info',
-                  'Title': 'Session Info',
-                  },
-                )
-        self.verifyPortletContainer(self.portal.sections.waeup)
-        self.verifyPortlets(portlets, self.portal.sections.waeup)
-
 ###)
 
@@ -367,8 +331,48 @@
                                             member_role='SectionReviewer',
                                             )
-        sections.waeup.folder_localrole_add(member_ids=('group:StudentManager',),
-                                            member_role='SectionManager',
-                                            )
+##        sections.waeup.folder_localrole_add(member_ids=('group:StudentManager',),
+##                                            member_role='SectionManager',
+##                                            )
         sections.waeup.students.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
     sections.waeup.manage_setLocalGroupRoles(groupid = 'role:Anonymous',roles=('SectionReader',))
+    # portlets ###(
+    #
+    portlets = (
+              {'identifier': 'waeup_main_tabs',
+              'type': 'Custom Portlet',
+              'slot': 'main_tabs',
+              'order': 0,
+              'render_method': 'portlet_main_navigation',
+              'Title': 'main tabs',
+              },
+              {'identifier': 'waeup_breadcrumbs',
+              'type': 'Breadcrumbs Portlet',
+              'slot': 'waeup_breadcrumbs',
+              'first_item': 2,
+              'display_site_root': 0,
+              'Title': 'waeup_breadcrumbs',
+              'display': 'horizontal_trail',
+              'display_hidden_folders': 0,
+              'order': 0,
+              },
+              {'identifier': 'waeup_object_actions',
+              'type': 'Actions Portlet',
+              'slot': 'waeup_object_actions',
+              'order': 0,
+              'categories': ['object'],
+              'Title': 'waep_manager_actions',
+              },
+              {'identifier': 'waeup_left_top',
+              'type': 'Custom Portlet',
+              'slot': 'left_top',
+              'order': 0,
+              'render_method': 'portlet_session_info',
+              'Title': 'Session Info',
+              },
+            )
+    installer.verifyPortletContainer(self.portal.sections.waeup)
+    installer.verifyPortlets(portlets, self.portal.sections.waeup)
+
+###)
+
     return installer.logResult()
Index: /waeup_product/trunk/Students.py
===================================================================
--- /waeup_product/trunk/Students.py	(revision 86)
+++ /waeup_product/trunk/Students.py	(revision 87)
@@ -26,7 +26,5 @@
     ob = StudentsFolder(id, **kw)
     return CPSBase_adder(container, ob, REQUEST=REQUEST)
-###
 ###)
-
 
 student_fti = { ###(
Index: /waeup_product/trunk/University.py
===================================================================
--- /waeup_product/trunk/University.py	(revision 86)
+++ /waeup_product/trunk/University.py	(revision 87)
@@ -14,5 +14,5 @@
 #
 
-class University(BaseBTreeFolder,CPSDocument):
+class University(BaseBTreeFolder):
     """
     Container for the various WAeUP containers 
Index: /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 86)
+++ /waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 87)
@@ -17,5 +17,5 @@
     'product': 'WAeUP',
     'factory': 'addUniversity',
-    'immediate_view': 'folder_view',
+    'immediate_view': 'university_view',
     'global_allow': 1,
     'filter_content_types': 1,
@@ -29,26 +29,26 @@
     'layout_clusters': ['metadata:metadata'],
     'cps_section_wf': 'waeup_section_wf',
-    'actions_add': ({'id': 'view',
+    'actions': ({'id': 'view',
                  'name': 'action_view',
                  'action': 'university_view',
-                 'permissions': (UniversityManage,)},
+                 'permissions': (View,)},
                 {'id': 'addFaculty',
                  'name': 'Add a Faculty',
                  'action': 'folder_factories',
-                 'permissions': (UniversityManage,)},
+                 'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'contents',
                  'name': 'action_folder_contents',
                  'action': 'folder_contents',
-                 'permissions': (UniversityManage,)},
+                 'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'edit',
                  'name': 'action_edit',
                  'action': 'cpsdocument_edit_form',
                  #'action': 'cpsdocument_edit_form',
-                 'permissions': (UniversityManage,)},
+                 'permissions': (ModifyPortalContent,UniversityManage,)},
                 {'id': 'metadata',
                  'name': 'action_metadata',
                  'action': 'cpsdocument_metadata',
                  'condition': 'not:portal/portal_membership/isAnonymousUser',
-                 'permissions': (View,)},
+                 'permissions': (ModifyPortalContent,)},
                 {'id': 'localroles',
                  'name': 'action_local_roles',
@@ -82,5 +82,5 @@
                  'name': 'Students',
                  'action': 'students_folder_view',
-                 'permissions': (UniversityManage,)},
+                 'permissions': (View,)},
                 {
                 'id'        : 'add_content',
@@ -92,21 +92,21 @@
                 'name'      : 'Add Student JAMB',
                 'action'    : 'string:${object/absolute_url}/create_jamb',
-                'permissions': (UniversityManage,)},
-                {'id': 'contents',
-                 'name': 'action_folder_contents',
-                 'action': 'folder_contents',
-                 'permissions': (UniversityManage,)},
-                {'id': 'edit',
-                 'name': 'action_edit',
-                 'action': 'cpsdocument_edit_form',
-                 'permissions': (UniversityManage,)},
-                {'id': 'metadata',
-                 'name': 'action_metadata',
-                 'action': 'cpsdocument_metadata',
-                 'permissions': (UniversityManage,)},
-                {'id': 'localroles',
-                 'name': 'action_local_roles',
-                 'action': 'folder_localrole_form',
-                 'permissions': (UniversityManage,)},
+                'permissions': (UniversityManage,StudentManage)},
+##                {'id': 'contents',
+##                 'name': 'action_folder_contents',
+##                 'action': 'folder_contents',
+##                 'permissions': (UniversityManage,)},
+##                {'id': 'edit',
+##                 'name': 'action_edit',
+##                 'action': 'cpsdocument_edit_form',
+##                 'permissions': (UniversityManage,)},
+##                {'id': 'metadata',
+##                 'name': 'action_metadata',
+##                 'action': 'cpsdocument_metadata',
+##                 'permissions': (UniversityManage,)},
+##                {'id': 'localroles',
+##                 'name': 'action_local_roles',
+##                 'action': 'folder_localrole_form',
+##                 'permissions': (UniversityManage,)},
     )
 }
Index: /waeup_product/trunk/skins/waeup_default/university_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 86)
+++ /waeup_product/trunk/skins/waeup_default/university_view.py	(revision 87)
@@ -6,4 +6,5 @@
 
 member = context.portal_membership.getAuthenticatedMember()
+#return context.folder_view()
 if member:
     if 'Manager' in member.getRoles():